=== debian/control ===
Source: qtox
Maintainer: Kill Your TV <killyourtv@i2pmail.org>
Section: net
Priority: optional
Standards-Version: 3.9.6
Homepage: http://utoxisfinished.info/
Build-Depends: debhelper (>= 9)
 ,dh-apparmor
 ,dh-exec
 ,,libappindicator-dev
 ,libfilteraudio-dev (>= 0.0.0+git20150211)
 ,libopenal-dev
 ,libopencv-dev
 ,libqrencode-dev
 ,libqt5opengl5-dev
 ,libqt5svg5-dev
 ,libtoxav-dev (>= 0.0.0+20141129.r2982)
 ,libtoxcore-dev (>= 0.0.0+20140925.1)
 ,libtoxdns-dev
 ,libtoxencryptsave-dev
 ,libxss-dev
 ,qt5-qmake
 ,qtbase5-dev
 ,qttools5-dev-tools
Vcs-Git: git://killyourtv.i2p/git/qTox.git
Vcs-Browser: http://killyourtv.i2p/gitweb/?p=qTox.git;a=shortlog

Package: qtox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: apparmor
Description: Tox client
 Tox is a decentralized and encrypted replacement for Skype, supporting
 chats, audio, and video calls.
 .
 qTox is a graphical Tox client with the following features:
   - one-to-one chat with friends
   - group chats
   - file transfers with image preview
   - audio calls
   - video calls

Package: qtox-dbg
Priority: extra
Section: debug
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, qtox (= ${binary:Version}), libtoxcore-dbg,
 libtoxav-dbg, libtoxdns-dbg, libtoxencryptsave-dbg
Description: Tox client - debugging symbols
 Tox is a decentralized and encrypted replacement for Skype, supporting
 chats, audio, and video calls.
 .
 qTox is a graphical Tox client with the following features:
   - one-to-one chat with friends
   - group chats
   - file transfers with image preview
   - audio calls
   - video calls
 .
 This package contains the symbol files for debugging.
