=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT := qt5

%:
	dh $@ --parallel

override_dh_strip:
	dh_strip --dbg-package=qtox-dbg

override_dh_install:
	dh_install --fail-missing
	cp debian/apparmor/usr.bin.qtox debian/qtox/etc/apparmor.d
	dh_apparmor --profile=usr.bin.qtox -pqtox
