## qtox 1.16.3

=== debian/changelog ===
qtox (1.16.3-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:23:51 +0100

qtox (1.16.3-2) unstable; urgency=medium

  * Backport ec9d9850 to fix CheckAtomic.cmake
  * Backport 6d0885f3 to fix FTBFS on hurd
  * Fix FTBR by setting QT_RCC_SOURCE_DATE_OVERRIDE
  * Fix autopkgtest
  * Bump Standards-Version to 4.3.0
  * Bump debhelper compat to 12

 -- Yangfl <mmyangfl@gmail.com>  Tue, 29 Jan 2019 16:01:45 +0800

qtox (1.16.3-1) unstable; urgency=medium

  * New upstream release
  * Add upstream signing key
  * Backport CheckAtomic.cmake to detect atomic library
  * Try to fix FTBFS on !linux-any by adding build dep libsndio-dev
  * Bump Standards-Version to 4.2.1
  * Add autopkgtest

 -- Yangfl <mmyangfl@gmail.com>  Thu, 08 Nov 2018 20:35:25 +0800

qtox (1.15.0-1) unstable; urgency=medium

  * Initial release (Closes: #788040)

 -- Yangfl <mmyangfl@gmail.com>  Thu, 31 May 2018 13:06:02 +0800
