=== debian/control ===
Source: qtox
Section: net
Priority: optional
Maintainer: Yangfl <mmyangfl@gmail.com>
Build-Depends:
 debhelper (>= 12~),
 cmake (>= 2.8.11),
 check,
 pkg-config,
 qttools5-dev (>= 5.5.0),
 libqt5svg5-dev (>= 5.5.0),
 libqt5opengl5-dev (>= 5.5.0),
 libtoxcore-dev,
 libavdevice-dev (>= 7:2.6.0),
 libopenal-dev (>= 1.16.0),
 libqrencode-dev (>= 3.0.3),
 libsqlcipher-dev (>= 3.2.0),
 libexif-dev,
 libxss-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libgdk-pixbuf2.0-dev,
 libsndio-dev [!linux-any],
Standards-Version: 4.3.0
Homepage: https://qtox.github.io
Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox

Package: qtox
Depends: ${misc:Depends}, ${shlibs:Depends}
Architecture: any
Description: Powerful Tox client that follows the Tox design guidelines
 qTox is a powerful Tox client that follows the Tox design guidelines while
 running on all major platforms.
 .
 Features:
  * One to one chat with friends
  * Group chats
  * File transfers, with previewing of images
  * Audio calls, including group calls
  * Video calls
  * Tox DNS and Tox URI support
  * Translations in various languages
  * Avatars
  * Faux offline messages
  * History
  * Screenshots
  * Emoticons
  * Auto-updates on Windows and Mac, packages on Linux
  * And many more options!
