## qtox 1.17.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,19 @@
+#   Copyright © 2019 by The qTox Project Contributors
+#
+#   This file is part of qTox, a Qt-based graphical interface for Tox.
+#   qTox is libre software: you can redistribute it and/or modify
+#   it under the terms of the GNU General Public License as published by
+#   the Free Software Foundation, either version 3 of the License, or
+#   (at your option) any later version.
+#
+#   qTox is distributed in the hope that it will be useful,
+#   but WITHOUT ANY WARRANTY; without even the implied warranty of
+#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+#   GNU General Public License for more details.
+#
+#   You should have received a copy of the GNU General Public License
+#   along with qTox.  If not, see <http://www.gnu.org/licenses/>
+
 ################################################################################
 #
 # :: CMake configuration
@@ -8,13 +24,26 @@
 set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake)
 
 option(PLATFORM_EXTENSIONS "Enable platform specific extensions, requires extra dependencies" ON)
-option(USE_FILTERAUDIO "Enable the echo canceling backend" ON)
-# AUTOUPDATE is currently broken and thus disabled
-option(AUTOUPDATE "Enable the auto updater" OFF)
+option(UPDATE_CHECK "Enable automatic update check" ON)
 option(USE_CCACHE "Use ccache when available" ON)
+option(SPELL_CHECK "Enable spell cheching support" ON)
+option(SVGZ_ICON "Compress the SVG icon of qTox" ON)
+option(ASAN "Compile with AddressSanitizer" OFF)
+option(DESKTOP_NOTIFICATIONS "Use snorenotify for desktop notifications" OFF)
+option(STRICT_OPTIONS "Enable strict compile options, used by CI" OFF)
+
+# process generated files if cmake >= 3.10
+if(POLICY CMP0071)
+  cmake_policy(SET CMP0071 NEW)
+endif()
 
 if(NOT CMAKE_BUILD_TYPE)
-  set(CMAKE_BUILD_TYPE Debug)
+  set(CMAKE_BUILD_TYPE Debug CACHE STRING "Options are: None, Debug, Release, RelWithDebInfo, MinSizeRel." FORCE)
+endif()
+
+if(ASAN)
+    set (CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -fno-omit-frame-pointer -fsanitize=address")
+    set (CMAKE_LINKER_FLAGS_DEBUG "${CMAKE_LINKER_FLAGS_DEBUG} -fno-omit-frame-pointer -fsanitize=address")
 endif()
 
 set(ENV{PKG_CONFIG_PATH}
@@ -56,7 +85,18 @@
 set(POSITION_INDEPENDENT_CODE True)
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstrict-overflow")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wstrict-aliasing")
-set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+
+# Extra-strict compile options that we don't want to subject all users to by default
+if (STRICT_OPTIONS)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Werror")
+endif()
+
+# avoid timestamps in binary for reproducible builds, not added until GCC 4.9
+include(CheckCXXCompilerFlag)
+CHECK_CXX_COMPILER_FLAG(-Wdate-time COMPILER_SUPPORTS_WDATE_TIME)
+if (COMPILER_SUPPORTS_WDATE_TIME)
+  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wdate-time")
+endif()
 
 if (NOT WIN32)
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fstack-protector-all")
@@ -67,6 +107,8 @@
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,now")
   set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,relro")
 endif()
+
+include(CheckAtomic)
 
 
 # Use ccache when available to speed up builds.
@@ -88,6 +130,15 @@
 
 include(Dependencies)
 
+if(NOT Qt5Widgets_VERSION VERSION_LESS "5.9")
+  # Drop the file modification time of source files from generated files
+  # to help with reproducible builds. We do not use QFileInfo.lastModified
+  # so this has no unwanted side effects. This mtime started appearing in
+  # Qt 5.8. The option to force the old file format without mtime was
+  # added in Qt 5.9. See https://bugreports.qt.io/browse/QTBUG-58769
+  set(RCC_OPTIONS ${RCC_OPTIONS} -format-version 1)
+endif()
+
 ################################################################################
 #
 # :: qTox main library sources
@@ -102,6 +153,7 @@
   src/widget/form/loadhistorydialog.ui
   src/widget/form/profileform.ui
   src/widget/form/removefrienddialog.ui
+  src/widget/form/searchsettingsform.ui
   src/widget/form/setpassworddialog.ui
   src/widget/form/settings/aboutsettings.ui
   src/widget/form/settings/advancedsettings.ui
@@ -138,6 +190,7 @@
   translations/pl.ts
   translations/pr.ts
   translations/pt.ts
+  translations/pt_BR.ts
   translations/ro.ts
   translations/ru.ts
   translations/sk.ts
@@ -203,9 +256,16 @@
 set(${PROJECT_NAME}_SOURCES
   src/audio/audio.cpp
   src/audio/audio.h
+  src/audio/backend/alsink.cpp
+  src/audio/backend/alsink.h
+  src/audio/backend/alsource.cpp
+  src/audio/backend/alsource.h
   src/audio/backend/openal.cpp
   src/audio/backend/openal.h
   src/audio/iaudiosettings.h
+  src/audio/iaudiocontrol.h
+  src/audio/iaudiosink.h
+  src/audio/iaudiosource.h
   src/chatlog/chatlinecontent.cpp
   src/chatlog/chatlinecontent.h
   src/chatlog/chatlinecontentproxy.cpp
@@ -228,12 +288,16 @@
   src/chatlog/content/text.h
   src/chatlog/content/timestamp.cpp
   src/chatlog/content/timestamp.h
+  src/chatlog/content/broken.cpp
+  src/chatlog/content/broken.h
   src/chatlog/customtextdocument.cpp
   src/chatlog/customtextdocument.h
   src/chatlog/documentcache.cpp
   src/chatlog/documentcache.h
   src/chatlog/pixmapcache.cpp
   src/chatlog/pixmapcache.h
+  src/chatlog/toxfileprogress.cpp
+  src/chatlog/toxfileprogress.h
   src/chatlog/textformatter.cpp
   src/chatlog/textformatter.h
   src/core/coreav.cpp
@@ -245,22 +309,25 @@
   src/core/dhtserver.cpp
   src/core/dhtserver.h
   src/core/icoresettings.h
-  src/core/recursivesignalblocker.cpp
-  src/core/recursivesignalblocker.h
   src/core/toxcall.cpp
   src/core/toxcall.h
   src/core/toxencrypt.cpp
   src/core/toxencrypt.h
   src/core/toxfile.cpp
   src/core/toxfile.h
+  src/core/toxfilepause.h
   src/core/toxid.cpp
   src/core/toxid.h
+  src/core/groupid.cpp
+  src/core/groupid.h
   src/core/toxlogger.cpp
   src/core/toxlogger.h
   src/core/toxoptions.cpp
   src/core/toxoptions.h
   src/core/toxpk.cpp
   src/core/toxpk.h
+  src/core/contactid.cpp
+  src/core/contactid.h
   src/core/toxstring.cpp
   src/core/toxstring.h
   src/friendlist.cpp
@@ -272,24 +339,47 @@
   src/model/about/aboutfriend.cpp
   src/model/about/aboutfriend.h
   src/model/about/iaboutfriend.h
+  src/model/chatroom/chatroom.h
+  src/model/chatroom/friendchatroom.cpp
+  src/model/chatroom/friendchatroom.h
+  src/model/chatroom/groupchatroom.cpp
+  src/model/chatroom/groupchatroom.h
   src/model/contact.cpp
   src/model/contact.h
+  src/model/chatlogitem.cpp
+  src/model/chatlogitem.h
   src/model/friend.cpp
   src/model/friend.h
+  src/model/message.h
+  src/model/message.cpp
+  src/model/imessagedispatcher.h
+  src/model/friendmessagedispatcher.h
+  src/model/friendmessagedispatcher.cpp
+  src/model/groupmessagedispatcher.h
+  src/model/groupmessagedispatcher.cpp
+  src/model/message.h
+  src/model/message.cpp
   src/model/groupinvite.cpp
   src/model/groupinvite.h
   src/model/group.cpp
   src/model/group.h
+  src/model/status.cpp
+  src/model/status.h
   src/model/interface.h
   src/model/profile/iprofileinfo.h
   src/model/profile/profileinfo.cpp
   src/model/profile/profileinfo.h
+  src/model/dialogs/idialogs.h
+  src/model/ichatlog.h
+  src/model/sessionchatlog.h
+  src/model/sessionchatlog.cpp
+  src/model/chathistory.h
+  src/model/chathistory.cpp
+  src/model/toxclientstandards.h
+  src/net/bootstrapnodeupdater.cpp
+  src/net/bootstrapnodeupdater.h
   src/net/avatarbroadcaster.cpp
   src/net/avatarbroadcaster.h
-  src/net/toxme.cpp
-  src/net/toxme.h
-  src/net/toxmedata.cpp
-  src/net/toxmedata.h
   src/net/toxuri.cpp
   src/net/toxuri.h
   src/nexus.cpp
@@ -301,109 +391,8 @@
   src/persistence/ifriendsettings.h
   src/persistence/offlinemsgengine.cpp
   src/persistence/offlinemsgengine.h
+  src/persistence/paths.cpp
+  src/persistence/paths.h
   src/persistence/profile.cpp
   src/persistence/profile.h
   src/persistence/profilelocker.cpp
-  src/persistence/profilelocker.h
-  src/persistence/serialize.cpp
-  src/persistence/serialize.h
-  src/persistence/settings.cpp
-  src/persistence/settings.h
-  src/persistence/settingsserializer.cpp
-  src/persistence/settingsserializer.h
-  src/persistence/smileypack.cpp
-  src/persistence/smileypack.h
-  src/persistence/toxsave.cpp
-  src/persistence/toxsave.h
-  src/video/cameradevice.cpp
-  src/video/cameradevice.h
-  src/video/camerasource.cpp
-  src/video/camerasource.h
-  src/video/corevideosource.cpp
-  src/video/corevideosource.h
-  src/video/genericnetcamview.cpp
-  src/video/genericnetcamview.h
-  src/video/groupnetcamview.cpp
-  src/video/groupnetcamview.h
-  src/video/ivideosettings.h
-  src/video/netcamview.cpp
-  src/video/netcamview.h
-  src/video/videoframe.cpp
-  src/video/videoframe.h
-  src/video/videomode.cpp
-  src/video/videomode.h
-  src/video/videosource.cpp
-  src/video/videosource.h
-  src/video/videosurface.cpp
-  src/video/videosurface.h
-  src/widget/about/aboutfriendform.cpp
-  src/widget/about/aboutfriendform.h
-  src/widget/categorywidget.cpp
-  src/widget/categorywidget.h
-  src/widget/chatformheader.cpp
-  src/widget/chatformheader.h
-  src/widget/circlewidget.cpp
-  src/widget/circlewidget.h
-  src/widget/contentdialog.cpp
-  src/widget/contentdialog.h
-  src/widget/contentlayout.cpp
-  src/widget/contentlayout.h
-  src/widget/emoticonswidget.cpp
-  src/widget/emoticonswidget.h
-  src/widget/flowlayout.cpp
-  src/widget/flowlayout.h
-  src/widget/searchform.cpp
-  src/widget/searchform.h
-  src/widget/form/addfriendform.cpp
-  src/widget/form/addfriendform.h
-  src/widget/form/chatform.cpp
-  src/widget/form/chatform.h
-  src/widget/form/filesform.cpp
-  src/widget/form/filesform.h
-  src/widget/form/genericchatform.cpp
-  src/widget/form/genericchatform.h
-  src/widget/form/groupchatform.cpp
-  src/widget/form/groupchatform.h
-  src/widget/form/groupinviteform.cpp
-  src/widget/form/groupinviteform.h
-  src/widget/form/groupinvitewidget.cpp
-  src/widget/form/groupinvitewidget.h
-  src/widget/form/loadhistorydialog.cpp
-  src/widget/form/loadhistorydialog.h
-  src/widget/form/profileform.cpp
-  src/widget/form/profileform.h
-  src/widget/form/setpassworddialog.cpp
-  src/widget/form/setpassworddialog.h
-  src/widget/form/settings/aboutform.cpp
-  src/widget/form/settings/aboutform.h
-  src/widget/form/settings/advancedform.cpp
-  src/widget/form/settings/advancedform.h
-  src/widget/form/settings/avform.cpp
-  src/widget/form/settings/avform.h
-  src/widget/form/settings/generalform.cpp
-  src/widget/form/settings/generalform.h
-  src/widget/form/settings/genericsettings.cpp
-  src/widget/form/settings/genericsettings.h
-  src/widget/form/settings/privacyform.cpp
-  src/widget/form/settings/privacyform.h
-  src/widget/form/settings/userinterfaceform.h
-  src/widget/form/settings/userinterfaceform.cpp
-  src/widget/form/settings/verticalonlyscroller.cpp
-  src/widget/form/settings/verticalonlyscroller.h
-  src/widget/form/settingswidget.cpp
-  src/widget/form/settingswidget.h
-  src/widget/form/tabcompleter.cpp
-  src/widget/form/tabcompleter.h
-  src/widget/friendlistlayout.cpp
-  src/widget/friendlistlayout.h
-  src/widget/friendlistwidget.cpp
-  src/widget/friendlistwidget.h
-  src/widget/friendwidget.cpp
-  src/widget/friendwidget.h
-  src/widget/genericchatitemlayout.cpp
-  src/widget/genericchatitemlayout.h
-  src/widget/genericchatitemwidget.cpp
-  src/widget/genericchatitemwidget.h
-  src/widget/genericchatroomwidget.cpp
-  src/widget/genericchatroomwidget.h
-  src/widget/groupwidget.cpp
