=== debian/changelog ===
qtox (1.17.2-1) unstable; urgency=medium

  * New upstream release (Closes: #959699)
    + Add AppArmor profile (Closes: #918138)
  * Bump Standards-Version to 4.5.0
  * Bump debhelper compat to 13
  * Add upstream metadata

 -- Yangfl <mmyangfl@gmail.com>  Wed, 06 May 2020 02:53:32 +0800
