## qtox 1.17.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,15 +59,6 @@
   COMMAND brew --prefix qt5
   OUTPUT_VARIABLE QT_PREFIX_PATH
   OUTPUT_STRIP_TRAILING_WHITESPACE)
-
-execute_process(
-  COMMAND xcode-select -p
-  OUTPUT_VARIABLE CMAKE_OSX_SYSROOT
-  OUTPUT_STRIP_TRAILING_WHITESPACE)
-
-set(CMAKE_OSX_DEPLOYMENT_TARGET 10.12)
-set(CMAKE_OSX_SYSROOT
-  ${CMAKE_OSX_SYSROOT}/Platforms/MacOSX.platform/Developer/SDKs/MacOSX${CMAKE_OSX_DEPLOYMENT_TARGET}.sdk)
 
 project(qtox)
 
@@ -396,3 +387,12 @@
   src/persistence/profile.cpp
   src/persistence/profile.h
   src/persistence/profilelocker.cpp
+  src/persistence/profilelocker.h
+  src/persistence/serialize.cpp
+  src/persistence/serialize.h
+  src/persistence/settings.cpp
+  src/persistence/settings.h
+  src/persistence/settingsserializer.cpp
+  src/persistence/settingsserializer.h
+  src/persistence/smileypack.cpp
+  src/persistence/smileypack.h
