=== debian/changelog ===
qtox (1.17.3-1) unstable; urgency=medium

  * New upstream release
  * Add AppArmor profile (Closes: #918138)

 -- Yangfl <mmyangfl@gmail.com>  Sun, 21 Feb 2021 23:14:42 +0800

qtox (1.17.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Backport upstream changes to fix build with Qt 5.15.
  * Run cmake with -Wno-dev in the autopkgtest (closes: #973540).
  * Fix Lintian duplicate-globbing-patterns error.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 05 Nov 2020 15:09:24 +0300
