=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
- debhelper (>= 12~),
+ debhelper-compat (= 13),
  cmake (>= 2.8.11),
  check,
  pkg-config,
@@ -20,8 +20,10 @@
  libglib2.0-dev,
  libgtk2.0-dev,
  libgdk-pixbuf2.0-dev,
+ libkf5sonnet-dev,
  libsndio-dev [!linux-any],
-Standards-Version: 4.3.0
+Rules-Requires-Root: no
+Standards-Version: 4.5.0
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox
