## qtox 1.17.4

=== debian/changelog ===
qtox (1.17.4-1build1) jammy; urgency=medium

  * Rebuild against new old libsndio7.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 13 Mar 2022 15:18:41 +0100

qtox (1.17.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Yangfl <mmyangfl@gmail.com>  Tue, 21 Dec 2021 15:55:38 +0800
