=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  libkf5sonnet-dev,
  libsndio-dev [!linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox
