## qtox 1.17.6

=== debian/changelog ===
qtox (1.17.6-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Configure with -DCMAKE_POLICY_VERSION_MINIMUM=3.5.
    (Closes: #1113452)

 -- Boyuan Yang <byang@debian.org>  Wed, 12 Nov 2025 16:00:26 -0500

qtox (1.17.6-2) unstable; urgency=medium

  * Add allow-stderr for autopkgtest
  * Bump Standards-Version to 4.7.2

 -- Yangfl <mmyangfl@gmail.com>  Sat, 29 Mar 2025 13:32:56 +0800

qtox (1.17.6-1) unstable; urgency=medium

  * Fix FTBFS with ffmpeg 7.0 (Closes: #1072447)
  * Add nvidia abstraction to AppArmor profile (Closes: #1022250)
  * Hotfix exploit with notifications (Closes: #1054638)
  * Bump Standards-Version to 4.7.0

 -- Yangfl <mmyangfl@gmail.com>  Wed, 28 Aug 2024 14:08:04 +0800

qtox (1.17.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.
    - Compatibility with FFmpeg 5.0 (Closes: #1004815).
  * Exclude unused build dependencies, libglib2.0-dev, libgtk2.0-dev,
    libgdk-pixbuf-2.0-dev (Closes: #967718).

 -- Nicholas Guriev <guriev-ns@ya.ru>  Tue, 28 Jun 2022 21:53:37 +0300
