=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  debhelper-compat (= 13),
  cmake (>= 2.8.11),
  check,
- pkg-config,
+ pkgconf,
  qttools5-dev (>= 5.5.0),
  libqt5svg5-dev (>= 5.5.0),
  libqt5opengl5-dev (>= 5.5.0),
@@ -17,13 +17,10 @@
  libsqlcipher-dev (>= 3.2.0),
  libexif-dev,
  libxss-dev,
- libglib2.0-dev,
- libgtk2.0-dev,
- libgdk-pixbuf2.0-dev,
  libkf5sonnet-dev,
  libsndio-dev [!linux-any],
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox
