=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1


export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_CXXFLAGS_MAINT_APPEND = -Wall -pedantic
export DEB_LDFLAGS_MAINT_APPEND  =

include /usr/share/dpkg/pkg-info.mk


%:
	dh $@

override_dh_auto_configure:
	# They made ccache invoke itself recursively
	dh_auto_configure -- \
		-DUSE_CCACHE=OFF \
		-DUPDATE_CHECK=OFF \
		-DGIT_DESCRIBE='v$(DEB_VERSION)-debian' \
		-DGIT_VERSION='build without git' \
		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
		-DTIMESTAMP='(disabled)'
#		-DDESKTOP_NOTIFICATIONS=ON \
