=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%qTox-$1.tar.gz%,pgpsigurlmangle=s%$%.asc%" \
  https://github.com/qTox/qTox/releases \
  (?:.*?/)?v\d[\d.]*/v(\d[\d.]*)\.tar\.gz
