## qtox 1.18.3

=== debian/changelog ===
qtox (1.18.3-2) unstable; urgency=medium

  * Depend on qt6-svg-plugins to fix missing icons

 -- Yangfl <mmyangfl@gmail.com>  Sun, 18 Jan 2026 19:52:26 +0800

qtox (1.18.3-1) unstable; urgency=medium

  * New upstream release (Closes: #1124081)
    - Fix autopkgtest failure with CMake 4 (Closes: #1125670)
  * Bump Standards-Version to 4.7.3

 -- Yangfl <mmyangfl@gmail.com>  Sat, 17 Jan 2026 15:57:03 +0800
