=== debian/control ===
--- 
+++ 
@@ -1,32 +1,32 @@
 Source: qtox
 Section: net
-Priority: optional
 Maintainer: Yangfl <mmyangfl@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
- cmake (>= 2.8.11),
+ cmake (>= 3.10),
  check,
- pkgconf,
- qttools5-dev (>= 5.5.0),
- libqt5svg5-dev (>= 5.5.0),
- libqt5opengl5-dev (>= 5.5.0),
- libtoxcore-dev,
+ pkgconf (>= 0.28),
+ qt6-svg-dev (>= 6.2.0),
+ qt6-tools-dev (>= 6.2.0),
+ libtoxcore-dev (>= 0.2.20),
  libavdevice-dev (>= 7:2.6.0),
  libopenal-dev (>= 1.16.0),
  libqrencode-dev (>= 3.0.3),
  libsqlcipher-dev (>= 3.2.0),
  libexif-dev,
  libxss-dev,
- libkf5sonnet-dev,
- libsndio-dev [!linux-any],
-Rules-Requires-Root: no
-Standards-Version: 4.7.2
+ libkf6sonnet-dev,
+ libv4l-dev,
+Standards-Version: 4.7.3
 Homepage: https://qtox.github.io
 Vcs-Git: https://salsa.debian.org/yangfl-guest/qTox.git
 Vcs-Browser: https://salsa.debian.org/yangfl-guest/qTox
 
 Package: qtox
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends:
+ qt6-svg-plugins,
+ ${misc:Depends},
+ ${shlibs:Depends},
 Architecture: any
 Description: Powerful Tox client that follows the Tox design guidelines
  qTox is a powerful Tox client that follows the Tox design guidelines while
