=== debian/rules ===
--- 
+++ 
@@ -18,8 +18,7 @@
 	dh_auto_configure -- \
 		-DUSE_CCACHE=OFF \
 		-DUPDATE_CHECK=OFF \
+		-DREPR_RCC=ON \
+		-DGIT_VERSION='build without git' \
 		-DGIT_DESCRIBE='v$(DEB_VERSION)-debian' \
-		-DGIT_VERSION='build without git' \
-		-DCMAKE_POLICY_VERSION_MINIMUM=3.5 \
-		-DTIMESTAMP='(disabled)'
-#		-DDESKTOP_NOTIFICATIONS=ON \
+		-DGIT_DESCRIBE_EXACT='Debian'
