=== debian/watch ===
Version: 5
Source: https://api.github.com/repos/TokTok/qTox/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%api.github.com/repos/([^/]+/[^/]+)/git/refs/tags/@ANY_VERSION@%github.com/$1/releases/download/v$2/v$2.tar.xz%g
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.xz%
Search-Mode: plain
Pgp-Sig-Url-Mangle: s%$%.asc%
