## qtox 201706231820~v1.6.0mx17+1

=== debian/changelog ===
qtox (201706231820~v1.6.0mx17+1) mx; urgency=medium

  * Rebuild for MX-17

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 02 Jul 2017 21:59:40 -0400

qtox (201706231820~v1.6.0) unstable; urgency=low

  * Build last stable version from git (@5648106b34fc7dc3ad4e169651a0cbbd0139170a)

 -- Anton Batenev <antonbatenev@yandex.ru>  Fri, 23 Jun 2017 18:20:51 +0300
